Skip to content
Start here

Upload LOA Document

client.Addressing.LOADocuments.New(ctx, params) (*LOADocumentNewResponse, error)
POST/accounts/{account_id}/addressing/loa_documents

Submit LOA document (pdf format) under the account.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit Write
ParametersExpand Collapse
params LOADocumentNewParams
AccountID param.Field[string]

Path param: Identifier of a Cloudflare account.

maxLength32
LOADocument param.Field[string]

Body param: LOA document to upload.

ReturnsExpand Collapse
type LOADocumentNewResponse struct{…}
ID stringoptional

Identifier for the uploaded LOA document.

maxLength32
AccountID stringoptional

Identifier of a Cloudflare account.

maxLength32
AutoGenerated booloptional

Whether the LOA has been auto-generated for the prefix owner by Cloudflare.

Created Timeoptional
formatdate-time
Filename stringoptional

Name of LOA document. Max file size 10MB, and supported filetype is pdf.

SizeBytes int64optional

File size of the uploaded LOA document.

Verified booloptional

Whether the LOA has been verified by Cloudflare staff.

VerifiedAt Timeoptional

Timestamp of the moment the LOA was marked as validated.

formatdate-time

Upload LOA Document

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  loaDocument, err := client.Addressing.LOADocuments.New(context.TODO(), addressing.LOADocumentNewParams{
    AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
    LOADocument: cloudflare.F("@document.pdf"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", loaDocument.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "auto_generated": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "filename": "site_loa_doc.pdf",
    "size_bytes": 444,
    "verified": true,
    "verified_at": "2019-12-27T18:11:19.117Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "account_id": "258def64c72dae45f3e4c8516e2111f2",
    "auto_generated": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "filename": "site_loa_doc.pdf",
    "size_bytes": 444,
    "verified": true,
    "verified_at": "2019-12-27T18:11:19.117Z"
  }
}